using System;
using Server;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an ogre corpse" )]
	public class Ogre : BaseCreature
	{
		[Constructable]
		public Ogre() : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.4, 2 )
		{
			this.Body = 0x1;
			this.Name = "an ogre";

			this.BaseSoundID = 0x1AB;

			this.InitStats( Utility.Random( 150, 51 ), Utility.Random( 45, 16 ), Utility.Random( 50, 16 ) );

			this.Skills[SkillName.Macing].Base = Utility.Random( 85, 11 );
			this.Skills[SkillName.Tactics].Base = Utility.Random( 60, 11 );
			this.Skills[SkillName.MagicResist].Base = Utility.Random( 55, 16 );

			this.VirtualArmor = 32;

			this.Fame = Utility.Random( 2500, 2500 );
			this.Karma = -Utility.Random( 2500, 2500 );

			Container pack = new Backpack();

			pack.Movable = false;

			pack.DropItem( new Gold( 50, 101 ) );
			pack.DropItem( new Ruby() );

			this.AddItem( pack );

			this.AddItem( new Club() );
		}

		public Ogre( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}