using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Misc;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "an orcish corpse" )]
	public class Orc : BaseCreature
	{
		[Constructable]
		public Orc() : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.4, 2 )
		{
			this.Body = 0x11;
			this.Name = NameList.RandomOrcName();
			this.BaseSoundID = 0x1B0;

			this.InitStats( Utility.Random( 95, 26 ), Utility.Random( 80, 26 ), Utility.Random( 35, 26 ) );

			this.Skills[SkillName.Macing].Base = Utility.Random( 55, 21 );
			this.Skills[SkillName.Tactics].Base = Utility.Random( 55, 26 );
			this.Skills[SkillName.MagicResist].Base = Utility.Random( 55, 16 );

			this.VirtualArmor = 28;

			this.Fame = Utility.Random( 1250, 1250 );
			this.Karma = -Utility.Random( 1250, 1250 );

			Container pack = new Backpack();

			pack.Movable = false;

			switch ( Utility.Random( 2 ) )
			{
				case 0: pack.DropItem( new Boots() ); break;
				case 1: pack.DropItem( new ThighBoots() ); break;
			}

			pack.DropItem( new Gold( 1, 50 ) );

			this.AddItem( pack );
			this.AddItem( new Club() );
		}

		public Orc( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}