using System;
using Server;

namespace Server.Multis
{
	public class HouseSign : Item
	{
		private BaseHouse m_Owner;

		public HouseSign( BaseHouse owner ) : base( 0xBD2 )
		{
			m_Owner = owner;

			base.Movable = false;
		}

		public HouseSign( Serial serial ) : base( serial )
		{
		}

		public BaseHouse Owner
		{
			get
			{
				return m_Owner;
			}
		}

		public override void OnAfterDelete()
		{
			base.OnAfterDelete();

			if ( m_Owner != null )
				m_Owner.Delete();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version

			writer.Write( m_Owner );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			switch ( version )
			{
				case 0:
				{
					m_Owner = reader.ReadItem() as BaseHouse;

					break;
				}
			}
		}
	}
}