using System;
using Server;
using Server.Items;

namespace Server.Multis
{
	public class SmallBrickHouse : BaseHouse
	{
		public override Point3D EjectOffset{ get{ return new Point3D( 2, 4, 0 ); } }

		[Constructable]
		public SmallBrickHouse() : base( 0x68 )
		{
			AddDoor( new DarkWoodDoor( DoorFacing.WestCW ), new Point3D( 0, 3, 7 ) );
			SetSign( new Point3D( 2, 4, 5 ) );
		}

		public SmallBrickHouse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}