using System;
using Server.Targeting;
using Server.Items;

namespace Server.SkillHandlers
{
	public class Hiding
	{
		public static void Initialize()
		{
			SkillInfo.Table[21].Callback = new SkillUseCallback( OnUse );
		}

		public static TimeSpan OnUse( Mobile m )
		{
			if ( m.Target != null || m.Spell != null )
			{
				m.SendLocalizedMessage( 501238 ); // You are busy doing something else and cannot hide.
				return TimeSpan.Zero;
			}
			else if ( m.CheckSkill( SkillName.Hiding, 0.0, 100.0 ) )
			{
				m.Hidden = true;
				m.SendLocalizedMessage( 501240 ); // You have hidden yourself well.
			}
			else
			{
				m.SendLocalizedMessage( 501241 ); // You can't seem to hide here.
			}

            return TimeSpan.FromSeconds( 10.0 );
		}
	}
}