// CreateFood Spell Script v.1.0 by SickLab (2002-09-28)
// Touchups by Krrios

using System;
using Server.Items;

namespace Server.Spells.First
{
	public class CreateFoodSpell : Spell
	{
		private static SpellInfo m_Info = new SpellInfo(
				"Create Food", "In Mani Ylem",
				SpellCircle.First,
				224,
				Reagent.Garlic,
				Reagent.Ginseng,
				Reagent.MandrakeRoot
			);

		public CreateFoodSpell( Mobile caster, Server.Items.SpellScroll scroll ) : base( caster, scroll, m_Info )
		{
		}

		public override void OnCast()
		{
			if ( CheckSequence() )
			{
				Food food;

				switch ( Utility.Random( 14 ) )
				{
					default:
					case 0: food = new BreadLoaf(); break;
					case 1: food = new Bacon(); break;
					case 2: food = new FishSteak(); break;
					case 3: food = new CheeseWheel(); break;
					case 4: food = new FrenchBread(); break;
					case 5: food = new Pear(); break;
					case 6: food = new FriedEggs(); break;
					case 7: food = new CookedBird(); break;
					case 8: food = new RoastPig(); break;
					case 9: food = new Sausage(); break;
					case 10: food = new Ham(); break;
					case 11: food = new Apple(); break;
					case 12: food = new Grapes(); break;
					case 13: food = new Peach(); break;
				}

				Caster.AddToBackpack( food );
				Caster.PlaySound( 0x1E2 );
			}

			FinishSequence();
		}
	}
}